# QloggerClient

'Send and retrieve logs to and from your qlogger microservice!'

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'qlogger_client'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install qlogger_client

Optionally use the latest code using:

```ruby
gem 'qlogger_client', git: "https://github.com/danielsousaio/qlogger_client.git"
```

## Configuration

Add this to your `config/application.rb`.

```ruby
QloggerClient.configure do |config|
  config.url = ENV['BASE_URL']
end

# Alternative way to configure

config = QloggerClient::Configuration.new
config.url = 'https://mymicroservice.com/api/v1'
QloggerClient.configuration = config
```


## Getting started

```ruby
require 'qlogger_client'

# Retrieve all logs
QloggerClient.list

# Retrieve log by id
QloggerClient.retrieve(id)

# Send a log with data
json_params = { 
  user_id: 1,                   # integer
  client_id: 1,                 # integer
  severity: "info",             # string
  loggable_type: "Customer",    # string
  loggable_id: 1,               # integer
  description: "Just a test"    # text
}
QloggerClient.log(json_params)
```

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
